-- config.lua
-- Apr 2017
-- Configuration Options

--------------------------------------------------------------------------------
-- Messages
--------------------------------------------------------------------------------

WELCOME_MSG = "Welcome to Official Crash Site Server (v2.6.3) - Multiple Spawn Edition. Be careful or you will die!"
GAME_MODE_MSG = ""
MODULES_ENABLED = "Mods Enabled: Separate Spawns, Tags"

WELCOME_MSG_TITLE = "Crash Site Server (v2.6.3) - Multiple Spawn Edition"
WELCOME_MSG1 = "This server is running an Escape Mode Scenario."
WELCOME_MSG2 = "You crashed on a hostile planet and now you have to launch a satellite from an existing far away rocket silo to expect be rescued!"

OTHER_MSG1 = "Changelog v2.6.3 MSE (30/04) by chpich :"
OTHER_MSG2 = "Added 0.15.x compatibility, adjusted ressources, decreased evolution speed and less biters around spawn"


WELCOME_MSG3 = "Be polite. Ask before changing other players's stuff. Read the chat. Have fun!"
WELCOME_MSG4 = "Cut the power in your base when you leave the game."
WELCOME_MSG5 = "Anyone who grief will be banned."
WELCOME_MSG6 = "Map creator : chpich / Scenario coding : oarc / Join the Steam group : http://steamcommunity.com/groups/factorio-crashsite"


SPAWN_MSG1 = "Your spaceship is falling on a hostile planet!!!"
SPAWN_MSG2 = "You can stay inside or launch a survival capsule!!"
SPAWN_MSG3 = "While you land, you can see some buildings around you and also an abandonned silo!"

-- These are my specific welcome messages that get used only if I am the user
-- that creates the game.
WELCOME_MSG_OARC = "Welcome to Oarc's official server! Join the discord here: discord.gg/Wj56gkU"
WELCOME_MSG_TITLE_OARC = "Welcome to Oarc's Server - Happy 0.15 Release!"


--------------------------------------------------------------------------------
-- Module Enables
-- These enables are not fully tested! For example, disable separate spawns
-- will probably break the frontier rocket silo mode
--------------------------------------------------------------------------------

-- Frontier style rocket silo mode
FRONTIER_ROCKET_SILO_MODE = false

-- Separate spawns
ENABLE_SEPARATE_SPAWNS = true

-- Enable Scenario version of RSO
ENABLE_RSO = true

-- Enable Undecorator
ENABLE_UNDECORATOR = false

-- Enable Tags
ENABLE_TAGS = true

-- Enable Long Reach
ENABLE_LONGREACH = false

-- Enable Autofill
ENABLE_AUTOFILL = false

--------------------------------------------------------------------------------
-- Spawn Options
--------------------------------------------------------------------------------

---------------------------------------
-- Distance Options
---------------------------------------
-- Near Distance in chunks
NEAR_MIN_DIST = 0 --50
NEAR_MAX_DIST = 0 --125
                   --
-- Far Distance in chunks
FAR_MIN_DIST = 2 --50
FAR_MAX_DIST = 2 --125
                   --
---------------------------------------
-- Resource Options
---------------------------------------
WATER_SPAWN_OFFSET_X = -4
WATER_SPAWN_OFFSET_Y = -38
WATER_SPAWN_LENGTH = 8

-- Start resource amounts
START_IRON_AMOUNT = 1500
START_COPPER_AMOUNT = 1500
START_STONE_AMOUNT = 1500
START_COAL_AMOUNT = 1500
START_OIL_AMOUNT = 30000
START_SHIPWRECK = 1

-- Start resource shape
-- If this is true, it will be a circle
-- If false, it will be a square
ENABLE_RESOURCE_SHAPE_CIRCLE = true

-- Start resource position and size
-- Position is relative to player starting location
START_RESOURCE_STONE_POS_X = -27
START_RESOURCE_STONE_POS_Y = -32
START_RESOURCE_STONE_SIZE = 12

START_RESOURCE_COAL_POS_X = -27
START_RESOURCE_COAL_POS_Y = -16
START_RESOURCE_COAL_SIZE = 12

START_RESOURCE_COPPER_POS_X = -27
START_RESOURCE_COPPER_POS_Y = 0
START_RESOURCE_COPPER_SIZE = 12

START_RESOURCE_IRON_POS_X = -28
START_RESOURCE_IRON_POS_Y = 17
START_RESOURCE_IRON_SIZE = 14

START_RESOURCE_OIL_POS_X = -150
START_RESOURCE_OIL_POS_Y = 0

-- Force the land area circle at the spawn to be fully grass
ENABLE_SPAWN_FORCE_GRASS = false

---------------------------------------
-- Safe Spawn Area Options
---------------------------------------

-- Safe area has no aliens
-- +/- this in x and y direction
SAFE_AREA_TILE_DIST = CHUNK_SIZE*3.5

-- Warning area has reduced aliens
-- +/- this in x and y direction
WARNING_AREA_TILE_DIST = CHUNK_SIZE*5

-- 1 : X (spawners alive : spawners destroyed) in this area
WARN_AREA_REDUCTION_RATIO = 3

-- Create a circle of land area for the spawn
ENFORCE_LAND_AREA_TILE_DIST = 48


---------------------------------------
-- Other Forces/Teams Options
---------------------------------------

-- I am not currently implementing other teams. It gets too complicated.
-- Enable if people can join their own teams
-- ENABLE_OTHER_TEAMS = false

-- Main force is what default players join
MAIN_FORCE = "main_force"

-- Enable if people can spawn at the main base
ENABLE_DEFAULT_SPAWN = true

-- Enable if people can allow others to join their base
ENABLE_SHARED_SPAWNS = true
MAX_ONLINE_PLAYERS_AT_SHARED_SPAWN = 3


---------------------------------------
-- Special Action Cooldowns
---------------------------------------
RESPAWN_COOLDOWN_IN_MINUTES = 0
RESPAWN_COOLDOWN_TICKS = TICKS_PER_MINUTE * RESPAWN_COOLDOWN_IN_MINUTES

-- Require playes to be online for at least 5 minutes
-- Else their character is removed and their spawn point is freed up for use
MIN_ONLIME_TIME_IN_MINUTES = 15
MIN_ONLINE_TIME = TICKS_PER_MINUTE * MIN_ONLIME_TIME_IN_MINUTES


-- Allow players to choose another spawn in the first 10 minutes
-- This does not allow creating a new spawn point. Only joining other players.
-- SPAWN_CHANGE_GRACE_PERIOD_IN_MINUTES = 10
-- SPAWN_GRACE_TIME = TICKS_PER_MINUTE * SPAWN_CHANGE_GRACE_PERIOD_IN_MINUTES


--------------------------------------------------------------------------------
-- Alien Options
--------------------------------------------------------------------------------

-- Enable/Disable enemy expansion (Applies to RSO as well!)
ENEMY_EXPANSION = false

-- Divide the alien factors by this number to reduce it (or multiply if < 1)
ENEMY_POLLUTION_FACTOR_DIVISOR = 8
ENEMY_DESTROY_FACTOR_DIVISOR = 16

--------------------------------------------------------------------------------
-- Frontier Rocket Silo Options
--------------------------------------------------------------------------------

SILO_CHUNK_DISTANCE_X = 250
SILO_DISTANCE_X = SILO_CHUNK_DISTANCE_X*CHUNK_SIZE + CHUNK_SIZE/2
SILO_DISTANCE_Y = 16

-- Should be in the middle of a chunk
SILO_POSITION = {x = SILO_DISTANCE_X, y = SILO_DISTANCE_Y}

-- If this is enabled, the static position is ignored.
ENABLE_RANDOM_SILO_POSITION = true

--------------------------------------------------------------------------------
-- Long Reach Options
--------------------------------------------------------------------------------

BUILD_DIST_BONUS = 15
REACH_DIST_BONUS = BUILD_DIST_BONUS
RESOURCE_DIST_BONUS = 2

--------------------------------------------------------------------------------
-- Autofill Options
--------------------------------------------------------------------------------

AUTOFILL_TURRET_AMMO_QUANTITY = 10

--------------------------------------------------------------------------------
-- Use rso_config and rso_resourece_config for RSO config settings
--------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- DEBUG
--------------------------------------------------------------------------------

-- DEBUG prints for me
-- global.oarcDebugEnabled = true